---
title: Drupal ECA Documentation
---
# Welcome to Drupal ECA

This document explains how to use the Events - Conditions - Actions (ECA) module for Drupal.

## What is ECA?

ECA (Events - Conditions - Actions) is a Drupal module that processes business process models based on Drupal events. The module integrates with Drupal core components and provides plugin management for:

* [Events](eca/concepts/index.md#events)
* [Conditions](eca/concepts/index.md#conditions)
* [Actions](eca/concepts/index.md#actions)

!!! note

    ECA does not include a built-in user interface. Instead, it provides a modeller plugin manager that integrates with existing tools. If a modeller supports templates, ECA provides them for all plugins available on your Drupal site.

## Contents

* [Installation guide](eca/install.md)
* [Key concepts](eca/concepts/index.md)
* [Extension guide](eca/extend/index.md)
* [Plugin documentation](plugins/index.md)
* [Available modellers](modeller/index.md)
* [Example models](library/index.md)
* [Additional resources](#additional-resources)

## Additional resources

You can find articles, tutorials, videos and other learning materials in the Resources section.

## Get support

Contact the ECA maintainers through:

* Their Drupal.org user profiles
* The [ECA Slack channel](https://drupal.slack.com/archives/C0287U62CSG)

## Contribute

We welcome contributions including:

* Bug reports and feature requests
* Documentation improvements
* Example models
* Custom plugins
* General feedback

To contribute:

1. Create an account on [ECA Guide GitLab](https://gitlab.lakedrops.com)
2. Visit the [ECA Guide Project](https://gitlab.lakedrops.com/drupal/documentation/eca)
3. Open an issue or create a merge request

This documentation uses British English.

For more information about ECA, visit the [project page](https://www.drupal.org/project/eca).
